Bug 33370 - installer bails out, upgrading 6.2 -> 7.0
installer bails out, upgrading 6.2 -> 7.0
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-27 07:35 EST by Fardi Lautenslager
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-28 02:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Traceback anacdump.txt (6.08 KB, text/plain)
2001-03-27 07:37 EST, Fardi Lautenslager
no flags Details

  None (edit)
Description Fardi Lautenslager 2001-03-27 07:35:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.14-5.0 i686)

I'm trying to upgrade from 6.2 to 7.0 use files downloaded to my harddrive
( /dev/hda5 ) and the installer just bails out while checking my current
It doesn't matter which mode I use ( tekst, expert ... .)
I,m already using the anaconda update (update-disk-20001009.img) 

Reproducible: Always
Steps to Reproduce:
1.Copied rpms & base files to drive ( /dev/hda5/RedHat  )
2.Created boot floppy ( boot.img          
3.Created update floppy (update-disk-20001009.img)
4.Booting into anaconda using `linux updates text`   (doesn't realy matter
tekst or expert)
5.Upgrade installation

Actual Results:  installer bails out with errors and a bugreport.

Expected Results:  You tell me.....
I guess it should have upgraded my installation.

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1028, in
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 279, in
  File "/tmp/updates/todo.py", line 941, in upgradeFindPackages
    self.getCompsList ()
  File "/tmp/updates/todo.py", line 538, in getCompsList
  File "/tmp/updates/todo.py", line 532, in getHeaderList
    self.hdList = self.method.readHeaders()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 54,
in rea
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
self: <harddrive.HardDriveInstallMethod instance at 827e0d8>
hl: []
path: /mnt/sysimage///RedHat/RPMS

ToDo object:

bla bla
(If you need more let me know there are several pages....)
Comment 1 Fardi Lautenslager 2001-03-27 07:37:21 EST
Created attachment 13803 [details]
Traceback anacdump.txt
Comment 2 Michael Fulbright 2001-03-27 11:08:37 EST
It seems it cannot find the install tree on the hard drive. Are you specifying
the correct partition and directory on that partition for the install tree?
Comment 3 Fardi Lautenslager 2001-03-27 14:35:46 EST
Yes I'm quit sure. There are only 2 partitions listed by the installer.

When selecting the wrong one, the installer return to the same screen
complaining it could not recognize the directory structure ( RedHat/rpms and
RedHat/base )
When selecting the right one the installer continued with extracting files etc.

I even had to rename my directory from redhat7 to RedHat to get it to recognize
the directory structure.

And if i remember correctly, after the partition selection, I get to select the
installation method ( workstation, server, custom en upgrade ).
I got that far, so I think we're barking up the wrong tree....
Comment 4 Matt Wilson 2001-03-28 00:57:40 EST
you must copy the files into RedHat/RPMS and RedHat/base on your hard drive. 
Are you saying that you had redhat7/RPMS and redhat7/base ?
Comment 5 Fardi Lautenslager 2001-03-28 02:30:37 EST
At first i used redhat7/rpms and redhat7/base ...... That didn't work  
(installer told me so)
Then i used RedHat/rpms and RedHat/base..... That seemed to work (Nothing from
the installer, untill it bailed out)

After reading your remark:, I used RedHat/RPMS and RedHat/base.....  Works !
(it's installing right now)  My mistake.....

Last question: 
First time around the installer complained. It could not recognize the base
directory because of "redhat7".  Second time around it didn't complain,  even
when it could not recognize 
RPMS (because of "rpms").
Seems to me it should have complained as well....

Anyway, thanks for your time,
and my compliments, best "bugtracker" yet !
Comment 6 Michael Fulbright 2001-04-02 12:09:18 EDT
I'm happy to hear things worked out - we're trying to make the installer more
friendly each release.  Hopefully we'll handle this case better next time around.

Note You need to log in before you can comment on or make changes to this bug.